v4l2loopback-dkms 0.8.0-1: v4l2loopback kernel module failed to build

Bug #1455791 reported by jamet on 2015-05-16
64
This bug affects 13 people
Affects Status Importance Assigned to Milestone
v4l2loopback (Debian)
Fix Released
Unknown
v4l2loopback (Ubuntu)
Undecided
Emanuel Negromonte

Bug Description

don't know if it's because i'm running a 3.19 kernel, but the repo package could not be installed, i will try the git repo.

edit : compiling and installing from the git repo works like a charm : https://github.com/umlaeute/v4l2loopback

ProblemType: Package
DistroRelease: Ubuntu 14.04
Package: v4l2loopback-dkms 0.8.0-1
ProcVersionSignature: Ubuntu 3.19.0-17.17~14.04.1-generic 3.19.6
Uname: Linux 3.19.0-17-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.10
Architecture: amd64
DKMSKernelVersion: 3.19.0-17-generic
Date: Sat May 16 18:42:35 2015
DuplicateSignature: dkms:v4l2loopback-dkms:0.8.0-1:/var/lib/dkms/v4l2loopback/0.8.0/build/v4l2loopback.c:486:2: error: implicit declaration of function ‘strict_strtoul’ [-Werror=implicit-function-declaration]
InstallationDate: Installed on 2015-05-09 (6 days ago)
InstallationMedia: Lubuntu 14.04.2 LTS "Trusty Tahr" - Release amd64 (20150218.1)
PackageArchitecture: all
PackageVersion: 0.8.0-1
SourcePackage: v4l2loopback
Title: v4l2loopback-dkms 0.8.0-1: v4l2loopback kernel module failed to build
UpgradeStatus: No upgrade log present (probably fresh install)

jamet (acryl) wrote :
tags: removed: need-duplicate-check
jamet (acryl) on 2015-05-16
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in v4l2loopback (Ubuntu):
status: New → Confirmed

According to the Debian bug #786779, upgrading to v42loopback 0.9.0 should solve this issue as it compile properly with newer Linux kernels (including 4.0).

Changed in v4l2loopback (Debian):
status: Unknown → Fix Released

FYI, debuild'ing the last Debian package on Trusty solved the problem for me.

Goddard (kinggoddard) wrote :

What should you do if you are on 14.04?

dronus (paul-geisler) wrote :

Still broken on 14.04 !

Still broken on 14.04 and 16.04

Problem solved was on 11/05/2016

Changed in v4l2loopback (Ubuntu):
assignee: nobody → Emanuel Negromonte (emanuelnegromonte)
status: Confirmed → Fix Released

Problem is solved in Ubuntu 14.04 and 16.04.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.